#
# spec file for package python-pymemcache
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
# Copyright (c) 2014 Thomas Bechtold <thomasbechtold@jpberlin.de>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pymemcache
Version:        1.2.9
Release:        lp151.2.2
Summary:        A comprehensive, fast, pure Python memcached client
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/Pinterest/pymemcache
Source:         https://pypi.io/packages/source/p/pymemcache/pymemcache-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-nose >= 1.0
BuildRequires:  python-pytest
BuildRequires:  python-setuptools
BuildRequires:  python-six
Requires:       python-six
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
A comprehensive, fast, pure-Python memcached client.

pymemcache supports the following features:

* Complete implementation of the memcached text protocol.
* Configurable timeouts for socket connect and send/recv calls.
* Access to the "noreply" flag, which can significantly increase the speed of writes.
* Flexible, simple approach to serialization and deserialization.
* The (optional) ability to treat network and memcached errors as cache misses.

%prep
%setup -q -n pymemcache-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%check
nosetests

%files
%defattr(-,root,root,-)
%doc README.md LICENSE.txt
%{python_sitelib}/*

%changelog
* Tue Nov 21 2017 dmueller@suse.com
- update to 1.2.9:
  * Introduced PooledClient a thread-safe pool of clients
* Sun Mar 13 2016 dmueller@suse.com
- add LICENSE.txt
* Tue Feb 24 2015 tbechtold@suse.com
- update to 1.2.8:
  * Increasing version number for pypi
  * Merge pull request #30 from methane/patch-1
  * Move nose to tests_requires
  * Bumping version to fix upload issues with pypi
  * Adding James Socol to contributors and bumping version for pypi
  * Merge pull request #27 from jsocol/connect-error
  * Include _connect in ignore_exc try/except block
  * Adding the LICENSE.txt file to the distribution
* Fri Jun  6 2014 thomasbechtold@jpberlin.de
- Initial version.
